<!--
 * @Descripttion: 当前组件信息
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2019-11-15 10:10:08
 * @LastEditors: 无尘
 * @LastEditTime: 2019-12-04 16:29:56
 -->
<!--
<invite-log></invite-log>

import inviteLog from '@/components/data-details/invite-log.vue';
-->
<template>
  <div class="invite-log">
    <el-table
      class="select-table"
      ref="multipleTable"
      :data="tableData"
      v-loading="loading"
      tooltip-effect="dark"
      :style="{ width: '100%', minHeight: tableH }"
      @sort-change='sortColumn'
    >
      <el-table-column
        label="受邀人信息"
        show-overflow-tooltip
      >
        <template slot-scope="scope">
          <div class="cell flex flex-align-center">
            <img
              :src="scope.row.headUrl"
              alt=""
            /><span class="font-14 color-606266 p-l-10">{{ scope.row.nickName || '--' }}/{{scope.row.realName || '--'}}</span>
          </div>
        </template>
      </el-table-column>
      <el-table-column
        prop="invitedTime"
        label="受邀时间"
        show-overflow-tooltip
        sortable='custom'
      >
        <template slot-scope="scope">
          <div class="cell">
            <div>{{ scope.row.invitedTime | timeStampToYmd }}</div>
            <div>{{ scope.row.invitedTime | timeStampToHms }}</div>
          </div>
        </template>
      </el-table-column>
      <el-table-column
        prop="transName"
        label="转化进度"
        show-overflow-tooltip
        sortable='custom'
      >
        <template slot-scope="scope">
          <div
            class="cell cursor-pointer color-2F54EB"
            @click="toLog(scope.row)"
          >
            {{ scope.row.transName || '--' }}
          </div>
        </template>
      </el-table-column>
    </el-table>
    <div
      class="block common-wrap__page text-right m-t-24"
      v-if="tableData.length != 0"
    >
      <dm-pagination
        background
        @size-change="handleSizeChange"
        @current-change="handleCurrentChange"
        :current-page="currentPage"
        :page-sizes="[20, 40, 60, 80]"
        :page-size="pageSize"
        layout="total, sizes, prev, pager, next, jumper"
        :total="total"
      > </dm-pagination>
    </div>
  </div>
</template>
<script>
import { getRequest } from '@/api/api';
import errMsg from '@/common/js/error';
export default {
  name: 'invite-log',
  data() {
    return {
      // 分页参数
      tableData: [],
      currentPage: 1,
      pageSize: 20,
      total: 0,
      createTimeSort: '',
      transNameSort: '',
      loading: false
    };
  },
  methods: {
    /**
     * sort
     */
    sortColumn(column) {
      const that = this;
      if(column.prop == 'invitedTime'){
        that.createTimeSort = column.order== "descending" ? 1 :0;
        that.transNameSort = '';
        that.getTableList();
      }
      if(column.prop == 'transName'){
        that.createTimeSort = '';
        that.transNameSort = column.order== "descending"? 1 : 0;
        that.getTableList();
      }
    },
    /**
     * 跳转日志
     */
    toLog(row) {
      const that = this;
      that.$router.push(`/invitedLog?activityId=${that.$route.query.activityId}&invitedId=${row.openId}`)
    },
    /**
     * 分页---页码变化
     */
    handleSizeChange(val) {
      const that = this;
      that.pageSize = val;
      that.getTableList();
    },

    /**
     * 分页---当前页变化
     */
    handleCurrentChange(val) {
      const that = this;
      that.currentPage = val;
      that.getTableList();
    },

    /**
     * 获取列表数据
     */
    getTableList() {
      const that = this;
      let para = {
        inviteOpenId: that.$route.query.inviteOpenId,
        activityId: that.$route.query.activityId,
        pageNum: that.currentPage,
        pageSize: that.pageSize,
        createTimeSort: that.createTimeSort,
        transNameSort: that.transNameSort
      };
      this.loading=true;
      getRequest('/sharing-core-web/page-activity-invited', para)
        .then(res => {
          let resData = res.data;
          if (resData.errorCode == 1) {
            that.tableData = resData.result.result || [];
            that.total = resData.result.totalCount;
            return false;
          }
          errMsg.errorMsg(resData);
        })
        .catch(function(error) {
          that.$message.error({
            duration: 2500,
            message: error.message
          });
        }).finally(()=>{
          this.loading=false;
        })
    }
  },
  mounted() {
    const that = this;
    that.getTableList();
  },
};
</script>
<style lang="less" scoped>
.invite-log {
  width: 100%;
  .cell {
    img {
      width: 40px;
      height: 40px;
    }
  }
}
</style>
